@echo off
setlocal

if "%~0"=="CLEAN_REBUILD_R.cmd" goto START
cls
echo RE-BUILDING "RELEASE" CONFIGURATION WITH TOTAL CLEANUP:
echo ίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίίί

:START
call CLEAN_ALL.cmd
if %errorlevel% neq 0 goto FAILURE

echo.
echo ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ

call REBUILD_R.cmd
if %errorlevel% neq 0 goto FAILURE

::==================================================================================================

:SUCCESS
if "%~0"=="CLEAN_REBUILD_R.cmd" goto FINISH
echo.
echo άάά CLEAN-REBUILD (DEBUG) ΔΔ SUCCESS άάά
goto FINISH

:FAILURE
if "%~0"=="CLEAN_REBUILD_R.cmd" goto ERROR
echo.
echo άάά ## CLEAN-REBUILD (DEBUG) ΔΔ FAILURE άάά
goto ERROR

::==================================================================================================
:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF
::==================================================================================================
:ERROR
if not "%~0"=="CLEAN_REBUILD_R.cmd" (
echo 
if not "%$cmd_plain%"=="1" pause )
endlocal
verify # 2>nul
goto :EOF
:FINISH
if not "%~0"=="CLEAN_REBUILD_R.cmd" (
echo.
if not "%$cmd_plain%"=="1" pause )
endlocal
call :RESET_ERROR
goto :EOF
::==================================================================================================
